Subject: Re: First cut at git port to Cygwin

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 04 Oct 2005 08:03:55 -0700

Alex Riesen wrote:
> 
> I noticed that rename(2) in my copy of cygwin (1.5.18-1) does not remove the
> target and returns an error (probably EPERM, but I have reasons not to trust
> strerror on that thing).
> The repository was on FAT.
> Taking "rename(2)" from cygwin's libiberty solved this (they unlink if link(2)
> returns EEXIST).
> 
> PS: Does broken rename(2) qualify a system "not worthy to support"?

I just tried this with Cygwin 1.5.18-1 and didn't have any such 
problems.  I tried it on NTFS, FAT and Samba, using WinXP.

	-hpa